#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Copyright Olivier Baudu - may 2018
# Published under the terms of the PGL v3.0

from mtranslate import translate
import random
from time import sleep

texte_francais = '''Assis dans mon lit rouge et rectangulaire, j'écris des poèmes en langues étrangères.'''

langue = {  
"af":"Afrikaans",
"sq":"Albanian",
"am":"Amharic",
"ar":"Arabic",
"hy":"Armenian",
"az":"Azeerbaijani",
"eu":"Basque",
"be":"Belarusian",
"bn":"Bengali",
"bs":"Bosnian",
"bg":"Bulgarian",
"ca":"Catalan",
"co":"Corsican",
"hr":"Croatian",
"cs":"Czech",
"da":"Danish",
"nl":"Dutch",
"en":"English",
"eo":"Esperanto",
"et":"Estonian",
"fi":"Finnish",
"fr":"French",
"fy":"Frisian",
"gl":"Galician",
"ka":"Georgian",
"de":"German",
"el":"Greek",
"gu":"Gujarati",
"ht":"Haitian-Creole",
"ha":"Hausa",
"iw":"Hebrew",
"hi":"Hindi",
"hu":"Hungarian",
"is":"Icelandic",
"ig":"Igbo",
"id":"Indonesian",
"ga":"Irish",
"it":"Italian",
"ja":"Japanese",
"jw":"Javanese",
"kn":"Kannada",
"kk":"Kazakh",
"km":"Khmer",
"ko":"Korean",
"ku":"Kurdish",
"ky":"Kyrgyz",
"lo":"Lao",
"la":"Latin",
"lv":"Latvian",
"lt":"Lithuanian",
"lb":"Luxembourgish",
"mk":"Macedonian",
"mg":"Malagasy",
"ms":"Malay",
"ml":"Malayalam",
"mt":"Maltese",
"mi":"Maori",
"mr":"Marathi",
"mn":"Mongolian",
"my":"Myanmar",
"ne":"Nepali",
"no":"Norwegian",
"ny":"Nyanja",
"ps":"Pashto",
"fa":"Persian",
"pl":"Polish",
"pt":"Portuguese",
"pa":"Punjabi",
"ro":"Romanian",
"ru":"Russian",
"sm":"Samoan",
"gd":"Scots-Gaelic",
"sr":"Serbian",
"st":"Sesotho",
"sn":"Shona",
"sd":"Sindhi",
"si":"Sinhala",
"sk":"Slovak",
"sl":"Slovenian",
"so":"Somali",
"es":"Spanish",
"su":"Sundanese",
"sw":"Swahili",
"sv":"Swedish",
"tl":"Tagalog",
"tg":"Tajik",
"ta":"Tamil",
"te":"Telugu",
"th":"Thai",
"tr":"Turkish",
"uk":"Ukrainian",
"ur":"Urdu",
"uz":"Uzbek",
"vi":"Vietnamese",
"cy":"Welsh",
"xh":"Xhosa",
"yi":"Yiddish",
"yo":"Yoruba",
"zu":"Zulu"   
}

liste_langue = list(langue)

tirage = random.randint(0, len(liste_langue)-1)
choix = liste_langue[tirage]
intermediaire = translate(texte_francais, choix)

while(True):
    
    print("\033[37m"+ texte_francais +"\033[0m")
    print("")  
    print("    >>> \033[33m"+ langue[choix] +"\033[0m")
    print("\033[33m    "+ intermediaire +" >>>\033[0m ")
    print("")

    tirage = random.randint(0, len(liste_langue)-1)
    choix = liste_langue[tirage]
    intermediaire = translate(intermediaire, choix)
    texte_francais = translate(intermediaire, "fr")

    sleep(4)


